Bug 59349 - ATAPI resets with DMA enabled on cdrom for OSB4/CSB5 system
Summary: ATAPI resets with DMA enabled on cdrom for OSB4/CSB5 system
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel   
(Show other bugs)
Version: 7.2
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-02-06 00:48 UTC by Roderick Constance
Modified: 2007-04-18 16:39 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-02-06 00:56:33 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
lspci (811 bytes, text/plain)
2002-02-06 00:52 UTC, Roderick Constance
no flags Details
lspci -v -v of IDE controller (589 bytes, text/plain)
2002-02-06 00:54 UTC, Roderick Constance
no flags Details
IDE excerpt of dmesg (578 bytes, text/plain)
2002-02-06 00:55 UTC, Roderick Constance
no flags Details
excerpt of /var/log/messages (708 bytes, text/plain)
2002-02-06 00:56 UTC, Roderick Constance
no flags Details

Description Roderick Constance 2002-02-06 00:48:02 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.76 [en] (X11; U; Linux 2.4.3-xfs-101 i686)

Description of problem:
If I enable DMA for my Teac CD-W24E the drive won't mount.  It retries a few
times and eventually causes an ATAPI reset.  If I turn off DMA, it works fine. 
The same thing happens if I try to dd the cdrom image to the hard disk, except
that Linux will try to disable DMA automatically.  But for some reason, the
controller doesn't think DMA is disabled.


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. try to mount a cd (/dev/cdrom -> /dev/hdd): # mount /dev/cdrom
2. or try to copy the CD image to a hard disk: # dd if=/dev/cdrom
3.
	

Actual Results:  The system takes about 30-60 seconds to mount a CD if at all. 
Trying to dd the image will fail with "I/O Error".


Expected Results:  The system should have mounted the CD...
or the image should have been copied to the local disk without an I/O error.

Additional info:

I'm using the RedHat 7.2 errata kernel (2.4.9-21).  The drive is not on the
ide/ide-dma.c blacklist.  I have also consistently repeated it on a Mitsumi
SR242S.  The IDE controller is a Serverworks CSB5, but I can also reproduce this
problem on the OSB4.

Comment 1 Roderick Constance 2002-02-06 00:52:58 UTC
Created attachment 44637 [details]
lspci

Comment 2 Roderick Constance 2002-02-06 00:54:15 UTC
Created attachment 44638 [details]
lspci -v -v of IDE controller

Comment 3 Roderick Constance 2002-02-06 00:55:32 UTC
Created attachment 44639 [details]
IDE excerpt of dmesg

Comment 4 Roderick Constance 2002-02-06 00:56:28 UTC
Created attachment 44640 [details]
excerpt of /var/log/messages

Comment 5 Arjan van de Ven 2002-02-11 16:07:57 UTC
cdrom drive added to the "not ATAPI compliant" blacklist; should appear in
rawhide shortly.


Note You need to log in before you can comment on or make changes to this bug.